> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vooma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Customers

<Warning>
  <strong>Beta Feature:</strong> This functionality is currently in beta. You
  may experience changes or limited support as we continue to improve it.
</Warning>


## OpenAPI

````yaml POST /customers/search
openapi: 3.1.0
info:
  title: api
  version: 0.1.0
  contact: {}
servers:
  - url: https://api.vooma.ai/v0
    description: Vooma API
security: []
paths:
  /customers/search:
    post:
      tags:
        - Customers
      operationId: GetCustomers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetCustomersInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetCustomersPayload'
                  - $ref: '#/components/schemas/PaginatedResponse'
      security:
        - bearer: []
components:
  schemas:
    GetCustomersInput:
      $ref: '#/components/schemas/VoomaPublicAPIv0.GetCustomersInput'
    GetCustomersPayload:
      $ref: '#/components/schemas/VoomaPublicAPIv0.GetCustomersPayload'
    PaginatedResponse:
      $ref: '#/components/schemas/VoomaPublicAPIv0.PaginatedResponse'
    VoomaPublicAPIv0.GetCustomersInput:
      properties:
        pagination:
          $ref: '#/components/schemas/Pagination'
        filterById:
          type: string
        search:
          type: string
      type: object
    VoomaPublicAPIv0.GetCustomersPayload:
      properties:
        customers:
          items:
            $ref: '#/components/schemas/Customer'
          type: array
      required:
        - customers
      type: object
    VoomaPublicAPIv0.PaginatedResponse:
      properties:
        pageInfo:
          properties:
            endCursor:
              type: string
            startCursor:
              type: string
            hasPreviousPage:
              type: boolean
            hasNextPage:
              type: boolean
          type: object
        totalCount:
          type: number
          format: double
        count:
          type: number
          format: double
      type: object
    Pagination:
      properties:
        limit:
          type: number
          format: double
        after:
          type: string
        before:
          type: string
        last:
          type: number
          format: double
        first:
          type: number
          format: double
      type: object
    Customer:
      $ref: '#/components/schemas/WithId_CustomerData_'
    WithId_CustomerData_:
      allOf:
        - properties:
            id:
              type: string
          required:
            - id
          type: object
        - $ref: '#/components/schemas/CustomerData'
    CustomerData:
      properties:
        contacts:
          items:
            $ref: '#/components/schemas/Contact'
          type: array
        name:
          type: string
        externalIds:
          items:
            $ref: '#/components/schemas/CustomerExternalIdentifier'
          type: array
      required:
        - name
        - externalIds
      type: object
    Contact:
      $ref: '#/components/schemas/V0Contact.Contact'
    CustomerExternalIdentifier:
      properties:
        type:
          anyOf:
            - $ref: '#/components/schemas/CustomerExternalIdentifierType'
            - type: string
          description: >-
            Typically one of the CustomerExternalIdentifierType enum values, but
            strings are also allowed
        value:
          type: string
      required:
        - type
        - value
      type: object
      additionalProperties: false
    V0Contact.Contact:
      $ref: '#/components/schemas/MayHaveID_ContactData_'
    CustomerExternalIdentifierType:
      enum:
        - ALJEX
        - AVRL
        - BITFREIGHTER_RATING
        - CUSTOM
        - DAT
        - GENLOGS
        - GREENSCREENS
        - HIGHWAY
        - HOSTED_MCLEOD
        - LEGACY_MERCURYGATE
        - MCLEOD
        - MCLEOD_HOSTED
        - MERCURYGATE
        - ORDERFUL
        - SONAR
        - SOFTMODAL
        - STEDI
        - STRATEGY_LIVE
        - TABI
        - TAI
        - TEST
        - THREE_PL
        - TRANSFIX_RATING
        - TURVO
        - TRUCKSTOP
        - VOOMA_PUBLIC_API
        - MICROSOFT
        - MICROSOFT_TEAMS
        - SLACK
      type: string
    MayHaveID_ContactData_:
      allOf:
        - properties:
            id:
              type: string
          type: object
        - $ref: '#/components/schemas/ContactData'
    ContactData:
      anyOf:
        - $ref: '#/components/schemas/CarrierContactData'
        - $ref: '#/components/schemas/CustomerContactData'
        - $ref: '#/components/schemas/LocationContactData'
    CarrierContactData:
      allOf:
        - $ref: '#/components/schemas/BaseContactData'
        - properties:
            carrierId:
              type: string
          required:
            - carrierId
          type: object
    CustomerContactData:
      allOf:
        - $ref: '#/components/schemas/BaseContactData'
        - properties:
            customerId:
              type: string
          required:
            - customerId
          type: object
    LocationContactData:
      $ref: '#/components/schemas/BaseContactData'
    BaseContactData:
      properties:
        name:
          type: string
        phone:
          type: string
        email:
          type: string
        role:
          type: string
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API Key

````